My Oracle Support Banner

Upgrading Grid Infrastructure in an Extended/Campus Cluster Fails with ASM Startup Error. (Doc ID 2729935.1)

Last updated on DECEMBER 23, 2020

Applies to:

Oracle Database - Enterprise Edition - Version 19.6.0.0.0 and later
Information in this document applies to any platform.

Symptoms

 

When upgrading from pre-18c Grid Infrastructure to 18c or 19c Grid Infrastructure, HAIP subnet is moved from a 169.254/16 to 169.254/19 subnet range. On some interconnect networks, those often used in Extended and/or Campus Clusters, The HAIP Subnet change MAY cause a routing issues causing ASM communication failures resulting in a failed upgrade. 

 rootupgrade.sh will fail on the first node with the following error:

 

 

Changes

Upgrade from pre-18c to 18c or above

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.